Package org.eclipse.net4j.util.om.monitor

# Class Monitor

java.lang.Object
org.eclipse.net4j.util.om.monitor.AbstractMonitor
org.eclipse.net4j.util.om.monitor.Monitor

All Implemented Interfaces:
  `OMMonitor`, `OMMonitorProgress`

Direct Known Subclasses:
  `EclipseMonitor`, `NotifyingMonitor`, `TimeoutMonitor`

public class Monitor extends AbstractMonitor

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

`AbstractMonitor.AsyncTimerTask`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

`OMMonitor.Async, OMMonitor.AsyncMonitor`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`DEFAULT_ASYNC_SCHEDULE_PERIOD`

### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitor

`DEFAULT_TIME_FACTOR, THOUSAND`

### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

`HUNDRED, ONE, TEN, ZERO`

## Constructor Summary

Constructors
Constructor
Description
`Monitor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
`void`
`cancel(RuntimeException cancelException)`
`void`
`checkCanceled()`
`protected long`
`getAsyncSchedulePeriod()`
`protected Timer`
`getTimer()`
`boolean`
`isCanceled()`
`protected void`
`scheduleAtFixedRate(TimerTask task, long delay, long period)`

### Methods inherited from class org.eclipse.net4j.util.om.monitor.AbstractMonitor

`begin, begin, createAsyncTimerTask, createNestedMonitor, done, fork, fork, forkAsync, forkAsync, getTotalWork, getWork, getWorkPercent, hasBegun, percent, worked, worked`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ASYNC_SCHEDULE_PERIOD

public static final long DEFAULT_ASYNC_SCHEDULE_PERIOD

See Also:
  - Constant Field Values

## Constructor Details

### Monitor

public Monitor()

## Method Details

### cancel

public void cancel()

### cancel

public void cancel(RuntimeException cancelException)

### isCanceled

public boolean isCanceled()

### checkCanceled

public void checkCanceled() throws MonitorCanceledException

Throws:
  `MonitorCanceledException`

### getAsyncSchedulePeriod

protected long getAsyncSchedulePeriod()

Specified by:
  `getAsyncSchedulePeriod` in class `AbstractMonitor`

### getTimer

protected Timer getTimer()

Specified by:
  `getTimer` in class `AbstractMonitor`

### scheduleAtFixedRate

protected void scheduleAtFixedRate(TimerTask task, long delay, long period)

Specified by:
  `scheduleAtFixedRate` in class `AbstractMonitor`